

lps (1)                      USER COMMANDS                       lps (1)




NAME  
        lps - play long sample files 

SYNOPSIS  
        lps [-Vvn] [-r rate] filename [...] 

DESCRIPTION  
        Play  sound-files  with  unlimited length by loading parts of it
        while continiously  playing  the  sample.    The  rate  can   be
        specified in  the commandline.  Is there no rate specified, 8000
        Hz is taken by default.  That is by the way the sampling-rate of 
        micro-law-samples used by SUN and NeXT. Before playing micro-law 
        you have to convert the micro-law to linear (use SOX5)!  

        If your Atari and your harddisk are fast enough,  the  frequency
        of the sample, may range from 96 Hz up to  theoreticly 65535 Hz. 
        My  system  (Atari  ST 8 MHz, Vortex HDplus60)  handles, running
        this with TOS up to about 17000 Hz without  any  problem.    See
        BUGS for more discussion on this.  

        If  you  start  lps  with  TOS, simply interrupt by pressing any
        key.  Running from MiNT, try ^C etc.  

        Using   lps  with  MiNT  is  possible  (playing  sounds  in  the
        background).  Signals from MiNT are accepted (^C etc).  

OPTIONS  
        -V 
                Shows version and some more information.  

        -v 
                Prints  some technical information about the sound-file,
                the requested memory and the approximated frequency.  

        -n 
                Forces lps to play only every second 8-bit-sample, while 
                using half the frequency.  This reduces the quality, but 
                saves processor-time.  Starting lps with this option,  I
                can reach a replay-rate of about 30 kHz.  

        -r rate 
                Sets the  rate  for  playing a sound file.  rate must be
                given in Herz (Hz=1/sec). This can range from 96  Hz  up
                to 65535 Hz.  

EXAMPLES  
        lps foo.snd /sounds/foobar 
                lps plays (if exist) foo.snd and /sounds/foobar at ~8000 
                Hz.  

        lps -n -r11025 foo.snd 
                lps plays foo.snd at ~11025 Hz with reduced quality, but 
                saved processor-time.  



Version 1.03                  May 7, 1993                         Page 1




lps (1)                      USER COMMANDS                       lps (1)



NOTES  
        Supports TOS, MultiTOS (on STs) and MiNT.  

        Tested  under  TOS  1.4, MiNT 0.95, MultiTOS based on MiNT 1.04,
        MultiGEM (running normal GEM under MiNT with TOSWIN) and  Mupfel
        on a Atari ST.  

        Full assembler source.  

        The  actual  frequency  used  to  play  the sound is as close as
        absolutely possible.  Replaying is  done  in  TIMER-A-interrupt,
        using a ringbuffer with eight 1024-byte-buffers.  

        Try  using  ftp  or nn (on internet-connected un*x-hosts) to get
        long sound-files.  

        And always remember: Peak performance is  the  performance,  the
        manufacturer garantees!  Especially running lps with MiNT!  

BUGS  
        As  described  above,  the  maximum  frequency  depends  on  the
        processor's frequency, the type of 680xx  you  use  and  on  the
        transferrate of  your  harddisk.   My system can play (not using
        the `-n'-option, running with TOS) sounds up  to  about  17  KHz
        with the  correct speed.  In the Range from 17.5 kHz to 18.5 kHz
        the replay-speed gets slower and short after much faster  as  it
        should be - don't ask me in detail why!?  If you have any ideas, 
        let me know.    From about 21 kHz to 24 kHz is no speedup.  This
        is  because  of  my  harddisk,  that  does  not  cope  with  the
        interrupt-rate.   It  may  not have loaded a new block since the
        old is already played.  Between 24 kHz and  27  kHz  the  output
        gets slower and greater 27 kHz the sound-palyer crashes.  

        If  you  try  to  start two lps at the same time under MiNT, the
        first started will hang up.  You can simply kill it.  

COPYRIGHT  
        This program is in the Public Domain. Do anything with it -  but
        any  trouble  your  cause (including, but not limited to keeping
        the household awake) is your own resposibility.  

AUTHOR  
        Uwe Reder (uereder@cip.informatik.uni-erlangen.de) 














Version 1.03                  May 7, 1993                         Page 2


